package laboratoire4;

public interface MovingPawn extends IPawn {
    void revertMove();

    static MovingPawn from(Pawn pawn) {
        if (pawn instanceof Pusher) {
            return new MovingPusher(pawn.getPlayer(), pawn.getRow(), pawn.getCol());
        }

        return new MovingPushed(pawn.getPlayer(), pawn.getRow(), pawn.getCol());
    }
}

